package com.dev.swms.server.model.base;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.EqualsBuilder;

public class ZoneTemperatureLog extends Entity {
	private static final long serialVersionUID = -2447504168151688775L;
	/** 采集库区 */
	private WarehouseArea zone;
	/** 采集时间 */
	private Date recordTime;
	/** 采集温度 */
	private double temperature;
	
	public WarehouseArea getZone() {
		return zone;
	}
	public void setZone(WarehouseArea zone) {
		this.zone = zone;
	}
	public Date getRecordTime() {
		return recordTime;
	}
	public void setRecordTime(Date recordTime) {
		this.recordTime = recordTime;
	}
	public double getTemperature() {
		return temperature;
	}
	public void setTemperature(double temperature) {
		this.temperature = temperature;
	}
	
	@Override
	public boolean equals(final Object other) {
		if (!(other instanceof ZoneTemperatureLog))
			return false;
		ZoneTemperatureLog castOther = (ZoneTemperatureLog) other;
		return new EqualsBuilder().append(zone, castOther.zone).append(
				recordTime, castOther.recordTime).isEquals();
	}
	@Override
	public int hashCode() {
		return new HashCodeBuilder().append(zone).append(recordTime)
				.toHashCode();
	}
}
